Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#50273 - [texlive-pictures] xypdf incompatible with luatex

Attached to Project: Arch Linux
Opened by Gaetan Bisson (vesath) - Friday, 05 August 2016, 19:56 GMT
Last edited by Rémy Oudompheng (remyoudompheng) - Saturday, 19 November 2016, 19:23 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Rémy Oudompheng (remyoudompheng)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

If I compile a tex file with \usepackage[all]{xy} using luatex from the latest texlive packages in [testing], I get:

! Package xypdf Error: pdfTeX version 1.40.0 or higher is needed for the xypdf
package with PDF output.

This error can be fixed by adding the following line at the top of /usr/share/texmf-dist/tex/generic/xypic/xypdf.tex :

\input /usr/share/texmf-dist/tex/generic/context/luatex/luatex-pdf.tex

I'm really not sure what the proper fix would be or where to report this upstream, so I thought I'd just leave this here... Cheers!
This task depends upon

Closed by  Rémy Oudompheng (remyoudompheng)
Saturday, 19 November 2016, 19:23 GMT
Reason for closing:  Fixed
Additional comments about closing:  texlive-pictures 2016.42477-1
Comment by Rémy Oudompheng (remyoudompheng) - Saturday, 06 August 2016, 18:27 GMT
I think someone reported the issue upstream :

http://xy-pic.cvs.sourceforge.net/viewvc/xy-pic/src/xypdf.dtx?r1=1.20&r2=1.21

It's not yet updated in CTAN TexLive repositories but I4ll make sure to catch it when it comes.
Comment by Gaetan Bisson (vesath) - Saturday, 06 August 2016, 18:43 GMT
Thanks! Feel free to close this, then.
Comment by Rémy Oudompheng (remyoudompheng) - Saturday, 19 November 2016, 19:22 GMT
I have integrated the patch in our package. It seems upstream has not done it in CTAN yet.

Loading...